List agents
GET
Lists all agents/admins in an organization. It is possible to filter by one of the mutually exclusive parameters: email or phone number. In case both are provided, an error is returned.
ApiKeyAuthheader
Authorization<token>pageLimit?integerMaximum number of results per page. May be used in combination with pageKey to change the number of results in between page requests.
Format
int32pageKey?stringBase64 encoded form of pagination query parameters. Do not try to construct or change programmatically as the internal structure may change without notice.
email?stringThe agent/admin email filter
phone?stringThe agent/admin phone number filter
The list of agents/admins
application/json- response
data?array<>meta?curl -X GET 'https://dev.dixa.io/v1/agents' \ -H 'Authorization: <API token>'{}
"data": []
{},
"id": "93b885ad-fe0d-3089-8df6-34904fd59f71",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Agent 0",
"email": "agent.0@example.org",
"avatarUrl": "https://files.dixa.io/public/image_0_id",
"additionalEmails": [],
"additionalPhoneNumbers": [],
"middleNames": [],
"roles": []
"Agent"
{},
"id": "55a54008-ad1b-3589-aa21-0d2629c1df41",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Agent 1",
"email": "agent.1@example.org",
"avatarUrl": "https://files.dixa.io/public/image_1_id",
"additionalEmails": [],
"additionalPhoneNumbers": [],
"middleNames": [],
"roles": []
"Agent"
{},
"id": "9e688c58-a548-3b8e-af69-c9e1005ad0bf",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Agent 2",
"email": "agent.2@example.org",
"avatarUrl": "https://files.dixa.io/public/image_2_id",
"additionalEmails": [],
"additionalPhoneNumbers": [],
"middleNames": [],
"roles": []
"Agent"
{}
"id": "86666835-06aa-3d90-8bbd-5a74ac4edf68",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Agent 3",
"email": "agent.3@example.org",
"avatarUrl": "https://files.dixa.io/public/image_3_id",
"additionalEmails": [],
"additionalPhoneNumbers": [],
"middleNames": [],
"roles": []
"Agent"